[SCM] Installer for game data files branch, wolf3d, updated. 2182318906f4a8ddb3d5234dd4d610542348b4dd

Jon Dowland jmtd at debian.org
Thu Mar 24 12:21:05 UTC 2011


The following commit has been merged in the wolf3d branch:
commit 14f8e5cc36360fc40b254fe08c32fc89ea4c7eec
Author: Jon Dowland <jmtd at debian.org>
Date:   Thu Mar 24 12:13:44 2011 +0000

    initial wolf3d support

diff --git a/Makefile b/Makefile
index 74c7834..d333e36 100644
--- a/Makefile
+++ b/Makefile
@@ -12,6 +12,7 @@ default: $(DIRS) wolf/extract
 		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION)
 	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION)
 	make -f rott.mk VERSION=$(VERSION)
+	make -f wolf3d.mk VERSION=$(VERSION)
 
 wolf/extract: wolf/extract.c
 
@@ -28,6 +29,7 @@ clean:
 		LONG="Final Doom: The Plutonia Experiment" VERSION=$(VERSION) clean
 	make -f quake3.mk LONG="Quake III Arena" VERSION=$(VERSION) clean
 	make -f rott.mk VERSION=$(VERSION) clean
+	make -f wolf3d.mk VERSION=$(VERSION) clean
 	for d in $(DIRS); do [ ! -d "$$d" ]  || rmdir "$$d"; done
 	rm -f wolf/extract
 
diff --git a/supported/rott b/supported/wolf3d
similarity index 56%
copy from supported/rott
copy to supported/wolf3d
index b191845..406437a 100644
--- a/supported/rott
+++ b/supported/wolf3d
@@ -1,25 +1,25 @@
-SHORTNAME=rott
-LONGNAME="Rise of the Triad"
+SHORTNAME=wolf3d
+LONGNAME="Wolfenstein 3D"
 
-ZIPSUM=0fafd6b629eab80278fc726e31f9cf41
+ZIPSUM=a29432cd4a5184d552d8e5da8f80a531
 
-rott_usage() {
+wolf3d_usage() {
 	echo "game-data-packager ${SHORTNAME} arguments:"
 	printf "\tgame-data-packager ${SHORTNAME} [ -f path ] | [ -w ]
-\t\t-f path\t\tpath to your existing copy of 1rott13.zip\n\
-\t\t-w\t\tfetch 1rott13.zip from the World Wide Web\n"
+\t\t-f path\t\tpath to your existing copy of 1wolf14.zip\n\
+\t\t-w\t\tfetch 1wolf14.zip from the World Wide Web\n"
 }
 
 verify_args() {
     case $# in
         0)
-            rott_usage
+            wolf3d_usage
             exit 0
             ;;
         1)
             if [ "$1" != "-w" ]; then
                     usage >&2
-                    rott_usage >&2
+                    wolf3d_usage >&2
                     exit 1
             fi
             downloadzip
@@ -27,34 +27,34 @@ verify_args() {
         2)
             if [ "$1" != "-f" ]; then
                 usage >&2
-                rott_usage >&2
+                wolf3d_usage >&2
                 exit 1
             fi
             downloaded=false
-            rottzip="$2"
+            wolf3dzip="$2"
             ;;
         *)
             usage >&2
-            rott_usage >&2
+            wolf3d_usage >&2
             exit 1
             ;;
     esac
 }
 
-rottmirrors=$LIBDIR/rott-mirrors
+wolf3dmirrors=$LIBDIR/wolf3d-mirrors
 
 downloadzip() {
-    dest="$WORKDIR/1rott13.zip"
-    mirror=$(grep -v ^# "$rottmirrors" | sort -R | head -n1)
+    dest="$WORKDIR/1wolf14.zip"
+    mirror=$(grep -v ^# "$wolf3dmirrors" | sort -R | head -n1)
     for try in $mirror; do
         if wget --progress=dot --directory-prefix "$WORKDIR" -c "$try"
         then
-            rottzip="$dest"
+            wolf3dzip="$dest"
             downloaded=true
             return
         fi
     done
-    die "error: could not find 1rott13.zip at our chosen mirror"
+    die "error: could not find 1wolf14.zip at our chosen mirror"
 }
 
 checksum() {
@@ -62,12 +62,12 @@ checksum() {
 	debug "checksum = $CHECKSUM"
 }
 
-DEBBASE="rott-data_${GAME_PACKAGE_VERSION}_all.deb"
+DEBBASE="wolf3d-data_${GAME_PACKAGE_VERSION}_all.deb"
 DEB="$DATADIR/$DEBBASE"
 
 go() {
 	verify_args "$@"
-	ZIPFILE=`unravel "$rottzip"`
+	ZIPFILE=`unravel "$wolf3dzip"`
     [ -e "$ZIPFILE" ] || die "ERROR: '$ZIPFILE' does not exist."
     [ -f "$ZIPFILE" ] || die "ERROR: '$ZIPFILE' is not a file."
     [ -r "$ZIPFILE" ] || die "ERROR: '$ZIPFILE' cannot be read."
@@ -82,34 +82,40 @@ go() {
 	oldpwd=`pwd`
 	cd "$WORKDIR"
 
-    # list of files from within the ZIP-inside-ZIP required for play
-    files="HUNTBGIN.RTC HUNTBGIN.RTL HUNTBGIN.WAD REMOTE1.RTS
-    DEMO1_3.DMO  DEMO2_3.DMO   DEMO3_3.DMO DEMO4_3.DMO VENDOR.DOC"
-	otherfiles="MODEM.PCK  ORDER.FRM     README.EXE   SETUP.EXE
-                ROTT.EXE   ROTTHELP.EXE  ROTTIPX.EXE  ROTTSER.EXE
-                SNDSETUP.EXE"
-
-    gdp_unzip "$ZIPFILE" ROTTSW13.SHR
-	gdp_unzip ROTTSW13.SHR $files
-	rm ROTTSW13.SHR
+    gdp_unzip "$ZIPFILE" W3DSW14.SHR
+    /home/jon/wd/web/debian/games/game-data-packager/wolf/extract W3DSW14.SHR
+	wlfiles="
+		audiohed.wl1:58aa1b9892d5adfa725fab343d9446f8
+		audiot.wl1:4b6109e957b584e4ad7f376961f3887e
+		gamemaps.wl1:30fecd7cce6bc70402651ec922d2da3d
+		maphead.wl1:7b6dd4e55c33c33a41d1600be5df3228
+		vgadict.wl1:76a6128f3c0dd9b77939ce8313992746
+		vgagraph.wl1:74decb641b1a4faed173e10ab744bff0
+		vgahead.wl1:61bf1616e78367853c91f2c04e2c1cb7
+		vswap.wl1:6efa079414b817c97db779cecfb081c9
+	"
 
     # XXX: we have to re-implement most of slipstream() here, due
     # to the way we use it
     slipstream_permcheck "$OUTFILE"
     slipstream_unpack "$OUTFILE"
-    for file in $files; do
+    for fc in $wlfiles; do
         # XXX: files are treated as being relative to $WORKDIR, hence
         # unpacking straight into it. Might be nicer to tidy away the
         # unpack into a subdir (no risk of stamping over another part
         # of g-d-p's operation) and specify full paths
-        slipstream_file "$file" "usr/share/games/rott/$file"
+		file=$(echo "$fc" | cut -d: -f1)
+		checksum "$file"
+		if [ "$CHECKSUM" != $(echo "$fc" | cut -d: -f2) ]; then
+				echo "warning: checksum is not what we expected for $file" >&2
+		fi
+        slipstream_file "$file" "usr/share/games/wolf3d/$file"
+		rm "$file"
     done
-    slipstream_file "VENDOR.DOC" "usr/share/doc/rott-data/VENDOR.DOC"
     slipstream_instsize
     slipstream_repack "$OUTFILE"
     slipstream_cleanup
 
-	rm $files
     if [ "$downloaded" = "true" ]; then
         rm "$ZIPFILE"
     fi
diff --git a/rott-data/README.Debian b/wolf3d-data/README.Debian
similarity index 51%
copy from rott-data/README.Debian
copy to wolf3d-data/README.Debian
index 72eb6a2..4e93a36 100644
--- a/rott-data/README.Debian
+++ b/wolf3d-data/README.Debian
@@ -1,7 +1,4 @@
-README.Debian for rott-data
----------------------------
-
 This package was generated by the game-data-packager program, to facilitate
-installation of the Rise of the Triad (rott) data files into a Debian system.
+installation of the Wolfenstein 3D (wolf3d) data files into a Debian system.
 
  -- Jon Dowland <jmtd at debian.org>, Wed, 16 Dec 2009 16:37:22 +0000
diff --git a/wolf3d-data/control.in b/wolf3d-data/control.in
new file mode 100644
index 0000000..127fc83
--- /dev/null
+++ b/wolf3d-data/control.in
@@ -0,0 +1,13 @@
+Package: wolf3d-data-shareware
+Provides: wolf3d-data
+Section: non-free/games
+Priority: optional
+Architecture: all
+Recommends: wolf4sdl
+Installed-Size: 56
+Version: VERSION
+Maintainer: Debian Games Team <pkg-games-devel at lists.alioth.debian.org>
+Description: Game data for Wolfenstein 3D
+ Wolfenstein 3D requires game data to play. This package contains
+ the game data from the shareware episode of Wolfenstein 3D and
+ was generated using the "game-data-packager" program.
diff --git a/rott-data/copyright b/wolf3d-data/copyright
similarity index 79%
copy from rott-data/copyright
copy to wolf3d-data/copyright
index 6fcbbc4..e4a619c 100644
--- a/rott-data/copyright
+++ b/wolf3d-data/copyright
@@ -1,8 +1,8 @@
-The rott-data package was generated using game-data-packager.
+The wolf3d-data package was generated using game-data-packager.
 Copyright (C) 2008,2009 Jon Dowland <jmtd at debian.org>
 
-The files within "/usr/share/games/rott" are subject to the copyright
-described in /usr/share/doc/rott-data/VENDOR.DOC.
+The files within "/usr/share/games/wolf3d" are subject to the copyright
+described in XXXX!
 
 The remainder of this package is covered by the following
 Licence:
diff --git a/wolf3d.mk b/wolf3d.mk
new file mode 100644
index 0000000..81825d6
--- /dev/null
+++ b/wolf3d.mk
@@ -0,0 +1,34 @@
+BASICFILES = usr/share/doc/wolf3d-data/README.Debian \
+usr/share/doc/wolf3d-data/copyright
+DESTFILES = $(addprefix build/wolf3d-data/, $(BASICFILES))
+
+# VERSION is defined by the parent make
+out/wolf3d-data_$(VERSION)_all.deb: build/wolf3d-data/DEBIAN/control $(DESTFILES)
+		fakeroot dpkg-deb -b build/wolf3d-data $@
+
+DIRS = build/wolf3d-data \
+build/wolf3d-data/DEBIAN \
+build/wolf3d-data/usr \
+build/wolf3d-data/usr/share \
+build/wolf3d-data/usr/share/games \
+build/wolf3d-data/usr/share/games/wolf3d \
+build/wolf3d-data/usr/share/doc \
+build/wolf3d-data/usr/share/doc/wolf3d-data
+
+$(DIRS):
+	mkdir $@
+
+$(DESTFILES): $(DIRS)
+	cp -p wolf3d-data/`basename "$@"` $@
+
+build/wolf3d-data/DEBIAN/control: wolf3d-data/control.in $(DIRS)
+	m4 -DPACKAGE=wolf3d-data -DVERSION=$(VERSION) $< > $@ 
+
+clean:
+	rm -f build/wolf3d-data/DEBIAN/control out/wolf3d-data_$(VERSION)_all.deb \
+		build/wolf3d-data/usr/share/doc/wolf3d-data/copyright \
+		build/wolf3d-data/usr/share/doc/wolf3d-data/README.Debian
+	for d in $(DIRS); do echo "$$d"; done | sort -r | while read d; do \
+		[ ! -d "$$d" ] || rmdir "$$d"; done
+
+.PHONY: clean $(DESTFILES)

-- 
Installer for game data files



More information about the Pkg-games-commits mailing list